List Personalization Tags
GET
/api/v1/workspaces/{workspace_id}/personalization_tags
const url = 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/personalization_tags?per=10&page=1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/personalization_tags?per=10&page=1' \ --header 'Authorization: Bearer <token>'Retrieves the personalization_tags.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace_id
required
integer
Workspace ID
Query Parameters
Section titled “Query Parameters”per
integer
Number of records per page
page
integer
Page number
Responses
Section titled “Responses”Successful
Media typeapplication/json
object
results
required
Array<object>
object
id
required
integer
label
required
string
default_value
required
string
example_value
required
string
created_at
required
string format: date-time
updated_at
required
string format: date-time
organization_id
required
integer
dynamic_content_profile_values
required
A map of DynamicContentProfile IDs to platform-specific syntax values. Each value overrides the default syntax for that profile’s platform.
object
key
additional properties
string
pagination
required
object
per
required
integer
page
required
integer
total
required
integer
Example
{ "results": [ { "id": 12345, "label": "First name", "default_value": "{{firstName}}", "example_value": "John", "created_at": "2023-08-23T10:30:00.000Z", "updated_at": "2023-08-23T10:30:00.000Z", "organization_id": 12345, "dynamic_content_profile_values": { "a1b2c3d4-5678-90ab-cdef-1234567890ab": "*|FNAME|*" } } ], "pagination": { "per": 10, "page": 1, "total": 100 }}